import * as WASI from "as-wasi/assembly"; // Required to compile with '--use abort=wasi_abort' option...

enum ISO_3166_international_code {
    Austria = 36,
    France = 250,
    Monaco = 492,
    Portugal = 620,
    Japan = 392,
    Russia = 643,
    Taiwan = 158,
    Incorrect = -1,
    Invalid_format = -2
}

const Countries: Map<ISO_3166_international_code, Array<i32>> = new Map;
Countries.set(ISO_3166_international_code.Austria, [900, 919]);
Countries.set(ISO_3166_international_code.France, [300, 379]);
Countries.set(ISO_3166_international_code.Monaco, [300, 379]);
Countries.set(ISO_3166_international_code.Portugal, [560, 560]);
Countries.set(ISO_3166_international_code.Japan, [450, 459]);
Countries.set(ISO_3166_international_code.Russia, [460, 469]);
Countries.set(ISO_3166_international_code.Taiwan, [471, 471]);

// 'Barcode_country' function here...
